Get Knowledge Base List Of Chatbot
curl --request GET \
--url https://v2.okchat.ai/api/external/chatbot/{chatbotId}/knowledge-baseimport requests
url = "https://v2.okchat.ai/api/external/chatbot/{chatbotId}/knowledge-base"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v2.okchat.ai/api/external/chatbot/{chatbotId}/knowledge-base', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chatbot": {
"active": true,
"created_at": "2024-11-08T09:25:54.141252+00:00",
"description": "Demo AI Chatbot",
"id": "5afe16ed-5fd2-4552-a993-903bc9c32bb6",
"is_public": true,
"name": "Test",
"openai_api_key": null,
"organization_id": "123042b2-86e2-4184-a86e-95423d728815",
"personality_config": {
"style": "Test",
"tone": "Test"
},
"settings": {
"avatar": "https://alwiuiydhxcstgrluarg.supabase.co/storage/v1/object/public/chatbot/5afe16ed-5fd2-4552-a993-903bc9c32bb6/0aabc2ff-6aab-491b-8858-0d001acc167d.png",
"greeting": "Hello! How can I assist you today?",
"isRequestUserInfoEnabled": false,
"isToolEnabled": true,
"model": "gpt-4o",
"prompt": "You are a helpful and friendly customer support agent. Respond to user inquiries in a clear and concise manner. Always strive to provide accurate and helpful information.",
"snippet": {
"header": "오케이챗 고객응대 챗봇",
"logo": "https://dasomx.odoo.com/web/image/website/1/logo/DASOMX?unique=1aee356",
"name": "Test",
"primaryColor": "#9c2caa",
"secondaryColor": "#60d7a9",
"slogan": "Chat with us"
}
},
"slug": "test-1",
"updated_at": "2024-12-01T14:38:45.709025+00:00"
}
}API Reference
Get Knowledge Base List Of Chatbot
Get Knowledge Base List Of Chatbot
GET
/
api
/
external
/
chatbot
/
{chatbotId}
/
knowledge-base
Get Knowledge Base List Of Chatbot
Headers
Example:
"4358d60b39ef0df47f421c0d58331407ec609abb6355dfa4"
Path Parameters
Example:
""
Response
200 - application/json
Example
Show child attributes
Show child attributes
⌘I